Subject: general-digest V2 #76
From: [email-masked] (general-digest)
To: [email-masked]

general-digest          Monday, May 17 1999          Volume 02 : Number 076

In this issue:

    .config for new Kernel
    Re: .config for new Kernel
    Re: .config for new Kernel
    Re: Which kernels to pick..... 
    Re: .config for new Kernel
    dead hdd, how to boot over tulip?
    Re: dead hdd, how to boot over tulip?

See the end of this digest for information about general-digest.

----------------------------------------------------------------------

Date: Fri, 14 May 1999 11:40:07 +0200
From: Philipp Grau <[email-masked]>
Subject: .config for new Kernel

Hello,

I'm looking for a .config file for my netwinder DM,
last night I brewed a new kernel, but it didn't boot.

I used a vanilla 2.2.7 kernel, applied rmk-4 with patch,
make config, make dep, make all, make modules, make
module_install
cp vmlinux /boot/k227
reboot
setenv kernfile /boot/k227
boot
The screen went dark, and nothing more.

And a diff against the config auf the debian-2.2.1? kernel
showed some differences, which I wasn't able to figure out.
And the pages from ralph S. didn't help that much...

Any help is appreciated!

Regards,

Philipp

- -- 
 Philipp Grau               | Freie Universitaet Berlin 
 [email-masked]  | Zentraleinrichtung fuer Datenverarbeitung
- --
This list is run automagically by Majordomo 1.94.4
Please send email questions to [email-masked]
To UNSUBSCRIBE: email [email-masked] with
"unsubscribe general" as the body of your message.

------------------------------

Date: Fri, 14 May 1999 03:17:07 -0700
From: "Eric A. Perlman" <[email-masked]>
Subject: Re: .config for new Kernel

After a make Image, you want to use /usr/src/linux/arch/arm/boot/Image instead of /usr/src/linux/vmlinux.   At least, that's what I was doing wrong.

What exactly is the difference? (other than vmlinux is larger :)

- -eric
- --
This list is run automagically by Majordomo 1.94.4
Please send email questions to [email-masked]
To UNSUBSCRIBE: email [email-masked] with
"unsubscribe general" as the body of your message.

------------------------------

Date: Fri, 14 May 1999 11:41:10 +0100 (GMT)
From: Alex Holden <[email-masked]>
Subject: Re: .config for new Kernel

On Fri, 14 May 1999, Eric A. Perlman wrote:
> What exactly is the difference? (other than vmlinux is larger :)

I think vmlinux still has all the ELF symbol information in it, but Image
is converted into a straight binary file instead.

- --------------- Linux- the choice of a GNU generation. --------------
: Alex Holden (M1CJD)- Caver, Programmer, Land Rover nut, Radio Ham :
- -------------------- http://www.linuxhacker.org/ --------------------

- --
This list is run automagically by Majordomo 1.94.4
Please send email questions to [email-masked]
To UNSUBSCRIBE: email [email-masked] with
"unsubscribe general" as the body of your message.

------------------------------

Date: Fri, 14 May 1999 12:09:49 +0100
From: Philip Blundell <[email-masked]>
Subject: Re: Which kernels to pick..... 

Eric LaForest wrote:

>Which stable and devel kernels are currently fit for use on the NW?
>...and where to get them.

I will put a copy of the 2.2 kernel I'm currently running in users/p/philb/
2.2.7 on ftp.netwinder.org.  (It'll probably take a few minutes for the files 
to get there.)

You probably want to treat this as a `devel' kernel for the time being.  I'm 
not aware of any problems with it but it does contain some code that isn't 
well tested and is more suited for the 2.3 kernel series than 2.2.  (As far as 
I know there hasn't been any 2.3 kernel released for the ARM yet.)

p.

- --
This list is run automagically by Majordomo 1.94.4
Please send email questions to [email-masked]
To UNSUBSCRIBE: email [email-masked] with
"unsubscribe general" as the body of your message.

------------------------------

Date: Fri, 14 May 1999 13:08:48 +0000
From: Ralph Siemsen <[email-masked]>
Subject: Re: .config for new Kernel

Alex Holden wrote:
> 
> On Fri, 14 May 1999, Eric A. Perlman wrote:
> > What exactly is the difference? (other than vmlinux is larger :)
> 
> I think vmlinux still has all the ELF symbol information in it, but Image
> is converted into a straight binary file instead.

Correct.  The load address in the ELF version doesn't match what the
NetWinder expects, that's (part of) the reason it doesn't work.

- -- 
Ralph Siemsen -- [email-masked]
- --
This list is run automagically by Majordomo 1.94.4
Please send email questions to [email-masked]
To UNSUBSCRIBE: email [email-masked] with
"unsubscribe general" as the body of your message.

------------------------------

Date: Fri, 14 May 1999 21:17:26 +0200 (CEST)
From: Dragisa Duric <[email-masked]>
Subject: dead hdd, how to boot over tulip?

  Somehow, my hdd burned. Living 200 meters from Serbia I have little
difficulties shiping it back to HCC right now so I have to live with it
for a while before I have opportunity to ship it.

  Problem I am writing because of it is my failure while booting over eth1
from my other Linux box which I configured to serve as DHCP server and
also as tftp server. I am using last NeTTrom San posted to his pages
(1.4?).

  I am typing "boot diskless" on NetWinder and at same time I am
tcpdumping my LAN for packets from NW. Nothing happens, and my NetWinder
spews some timeout errors. I am in doubt about NW's ability to boot from
eth1. Can someone confirm success on this and give more info?

  Another possibility is burned Tulip, of course. I have all kinds of
electrical protection for my equipment, but everything is possible. If
someone can confirm eth1 booting inability I will setup 10Mbit branch so I
can try eth0 boot.

  Thanks in advance,
  dd

- --
[email-masked]

- --
This list is run automagically by Majordomo 1.94.4
Please send email questions to [email-masked]
To UNSUBSCRIBE: email [email-masked] with
"unsubscribe general" as the body of your message.

------------------------------

Date: Fri, 14 May 1999 15:58:37 -0400 (EDT)
From: Kevin Cole <[email-masked]>
Subject: Re: dead hdd, how to boot over tulip?

Hi,

Dunno if it will help, but if you try eth0 and have problems with that,
you can check out my "NetWinder Rescue for Dummies", which is a much
simplified version of Stany's Rescue page:

  http://www.netwinder.org/~kjcole/rescue-for-dummies.html

(I didn't try from the Tulip, so I don't know if that works or not.)

On Fri, 14 May 1999, Dragisa Duric <[email-masked]> wrote:
 
>   Somehow, my hdd burned. Living 200 meters from Serbia I have little
> difficulties shiping it back to HCC right now so I have to live with it
> for a while before I have opportunity to ship it.
> 
>   Problem I am writing because of it is my failure while booting over eth1
> from my other Linux box which I configured to serve as DHCP server and
> also as tftp server. I am using last NeTTrom San posted to his pages
> (1.4?).
> 
>   I am typing "boot diskless" on NetWinder and at same time I am
> tcpdumping my LAN for packets from NW. Nothing happens, and my NetWinder
> spews some timeout errors. I am in doubt about NW's ability to boot from
> eth1. Can someone confirm success on this and give more info?
> 
>   Another possibility is burned Tulip, of course. I have all kinds of
> electrical protection for my equipment, but everything is possible. If
> someone can confirm eth1 booting inability I will setup 10Mbit branch so I
> can try eth0 boot.
> 
>   Thanks in advance,
>   dd
- --
 Kevin Cole,   Linux Dude      |  E-mail:  [email-masked]
 Gallaudet Research Institute  |  WWW:     http://gri.gallaudet.edu/
 Hall Memorial Bldg  S-419     |  Voice:   (202) 651-5135
 Washington, D.C.  20002-3695  |  FAX:     (202) 651-5746

- --
This list is run automagically by Majordomo 1.94.4
Please send email questions to [email-masked]
To UNSUBSCRIBE: email [email-masked] with
"unsubscribe general" as the body of your message.

------------------------------

End of general-digest V2 #76
****************************

--
This list is run automagically by Majordomo 1.94.4
Please send email questions to [email-masked]
To UNSUBSCRIBE: email [email-masked] with
"unsubscribe general-digest" as the body of your message.